Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class ServiceTypeFactory

    java.lang.Object
      org.hyperic.hq.product.jmx.ServiceTypeFactory

    public class ServiceTypeFactory

extends Object

Constructs a `ServiceType` object from a JMX `ModelMBeanInfo`

Constructor Summary
`ServiceTypeFactory()`

Method Summary
`Set` | `create(ProductPlugin productPlugin, ServerTypeInfo serverType, MBeanServerConnection mServer, Set objectNames)` Creates a Set of ServiceTypes from a Set of Services, ignoring multiple services of the same ServiceType (determined by fully qualified service type name)
`ServiceType` | `create(ProductPlugin productPlugin, ServerTypeInfo serverType, ModelMBeanInfo serviceInfo, ObjectName objectName)`
`ServiceType` | `getServiceType(String productName, ServerTypeInfo serverType, ModelMBeanInfo serviceInfo, ObjectName objectName)` Returns a ServiceType containing ONLY the properties needed at construction time (the ones that guarantee uniqueness)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceTypeFactory

    public ServiceTypeFactory()

Method Detail

### create

    public Set create(ProductPlugin productPlugin,
                      ServerTypeInfo serverType,
                      MBeanServerConnection mServer,
                      Set objectNames)
               throws InstanceNotFoundException,
                      IntrospectionException,
                      ReflectionException,
                      IOException

  Creates a Set of ServiceTypes from a Set of Services, ignoring multiple services of the same ServiceType (determined by fully qualified service type name)

  Parameters:
    `productPlugin` - The plugin of the product containing this service type
    `serverType` - The type of service containing this service type
    `mServer` -
    `serviceInfo` - The unique info of the service type
    `objectNames` - The `ObjectName`s of the associated services whose metadata is to be inspected
  Returns:
    A Set of created `ServiceType`s created
  Throws:
    `InstanceNotFoundException`
    `IntrospectionException`
    `ReflectionException`
    `IOException`

### create

    public ServiceType create(ProductPlugin productPlugin,
                              ServerTypeInfo serverType,
                              ModelMBeanInfo serviceInfo,
                              ObjectName objectName)

  Parameters:
    `productPlugin` - The plugin of the product containing this service type
    `serverType` - The type of service containing this service type
    `serviceInfo` - The unique info of the service type
    `objectName` - The `ObjectName` of the associated service whose metadata is to be inspected
  Returns:
    The created `ServiceType` or null if it could not be created

### getServiceType

    public ServiceType getServiceType(String productName,
                                      ServerTypeInfo serverType,
                                      ModelMBeanInfo serviceInfo,
                                      ObjectName objectName)

  Returns a ServiceType containing ONLY the properties needed at construction time (the ones that guarantee uniqueness)

  Parameters:
    `productName` - The name of the product containing the service
    `serverType` - The name of the server containing the service
    `serviceInfo` - Info about the service
    `objectName` - The `ObjectName` of the discovered MBean representing the service instance
  Returns:
    A ServiceType containing ONLY the properties needed at construction time (the ones that guarantee uniqueness)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.